By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
438,427 Members | 1,356 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 438,427 IT Pros & Developers. It's quick & easy.

Trouble with RC2

P: n/a
Hi !
I have sevral problems with P4-RC2.

Typical case, I have a script who run OK with P4 "standard" ; but, on a new
install, with P4-RC2, I obtain :

Traceback (most recent call last):
File "C:\PONX\ponx.py", line 60, in ?
import pdebug
File "C:\PONX\pdebug.py", line 224
for tmpArg in args[1:]:
^
SyntaxError: invalid syntax
If I overwrite with P4 "standard", the problem disappears.

I had problems, with three new installs : on Windows-server-2003,
Windows-XP-Pro, Windows-2000.

I can reproduce the problem at will. But it is long time, because I formate
the CPU of test to each test.

*** Sorry for my poor and bad english (therefore, boosted by google) ***

@-salutations

Michel Claveau

Jul 18 '05 #1
Share this Question
Share on Google+
2 Replies


P: n/a
On Mon, 28 Mar 2005 21:32:07 +0200, Do Re Mi chel La Si Do
<en**************@omclaveauo.com> wrote:
Hi !

I have sevral problems with P4-RC2.

Typical case, I have a script who run OK with P4 "standard" ; but, on a new
install, with P4-RC2, I obtain :

Traceback (most recent call last):
File "C:\PONX\ponx.py", line 60, in ?
import pdebug
File "C:\PONX\pdebug.py", line 224
for tmpArg in args[1:]:
^
SyntaxError: invalid syntax


I'm assuming you mean "2.4" for "P4" and "2.4.1c2" for "P4-RC2". I can
see no changes that should have caused this - without seeing the
entire file, I can only assume that you've either got indentation
wrong, or you're maybe mixing tabs and spaces? That's the best I can
do without seeing the whole file.
Jul 18 '05 #2

P: n/a
Hi !
Yes, P4RC2 is a error ; it is Python 2.4.1 release candidate 2
Yes, P2.4 is Python 2.4
The scripts use ONLY space-indentation.

But the important points are :
- if I install Python 2.4 on the rc2 (overwrite), then problem
disappears, with the SAME scripts.
- the problem is only with if the p2.4.1rc2 install is the first install
(no Python previously)
- I had others problems, but difficult to encircle (example : COM-server
in Python, with no problem in run, but errors with use ("no interface"),
with rc2 'first install'; and without problem if P4, or P2.3.5 was
installed ).

For the scripts : they are too big (3500 lines +700 lines + 850 lines) for
to send them (and they require many modules)...
*** Sorry for my poor and bad english ***
@-salutations
--
Michel Claveau

Jul 18 '05 #3

This discussion thread is closed

Replies have been disabled for this discussion.